#!/bin/sh

###############################################################
#   This script should be hooked when invoking VolumeUnmount()
#   Usable environment variable:
#       DEVICE, MOUNTPOINT, TYPE and LOCATION
#
###############################################################

SYNOBTRFSREPLICACORE_TASKS_BIN=/var/packages/ReplicationService/target/sbin/synobtrfsreplicacore_tasks

SYNOBTRFS_PKG_NAME="ReplicationService"
SYNOBTRFS_PKG_VERSION="1.0"
SYNOBTRFS_PKG_VENDOR="Synology Inc."
SYNOBTRFS_PKG_MODVER="1.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNOBTRFS_PKG_MODVER} ;;
	--name)
		echo ${SYNOBTRFS_PKG_NAME} ;;
	--pkg-ver)
		echo ${SYNOBTRFS_PKG_VERSION} ;;
	--vendor)
		echo ${SYNOBTRFS_PKG_VENDOR} ;;
	--pre)
		if [ -f "${SYNOBTRFSREPLICACORE_TASKS_BIN}" ]; then
			${SYNOBTRFSREPLICACORE_TASKS_BIN} --kill-recv-proc -v "${MOUNTPOINT}"
		fi
	;;
	--post)
	;;
	*)
		echo "Usage: $0 --sdk_mod_ver|--name|--pkg_ver|--vendor|--pre|--post" ;;
esac
