#!/bin/sh
# Copyright (c) 2000-2017 Synology Inc. All rights reserved.

. /var/packages/ReplicationService/scripts/common

OUTPUT_DIR="$1"
SYNOBTRFSSNAP_TOOL="$(which synobtrfssnap)"

# output directory is missing
if [ -z "${OUTPUT_DIR}" ]; then
	return
fi

mkdir -p ${OUTPUT_DIR}
mkdir -p ${OUTPUT_DIR}/log
cp -r /var/log/synobtrfsreplica* ${OUTPUT_DIR}/log
cp -r /var/log/kern* ${OUTPUT_DIR}/log
cp -r /var/log/messages* ${OUTPUT_DIR}/log
cp -r /var/log/synopkg* ${OUTPUT_DIR}/log

if [ -d "/usr/local/synobtrfsreplicacore" ] ; then
	mkdir -p ${OUTPUT_DIR}/local_synobtrfsreplicacore
	cp -r /usr/local/synobtrfsreplicacore/* ${OUTPUT_DIR}/local_synobtrfsreplicacore
fi

if [ -d "/usr/local/synobtrfsreplica" ] ; then
	mkdir -p ${OUTPUT_DIR}/local_synobtrfsreplica
	cp -r /usr/local/synobtrfsreplica/* ${OUTPUT_DIR}/local_synobtrfsreplica
fi

if [ -d "/usr/syno/etc/synobtrfsreplica" ] ; then
	mkdir -p ${OUTPUT_DIR}/etc_synobtrfsreplica
	cp -r /usr/syno/etc/synobtrfsreplica/* ${OUTPUT_DIR}/etc_synobtrfsreplica
fi

# total BTRFS snapshot count

if [ ! -z ${SYNOBTRFSSNAP_TOOL} ] ; then
	${SYNOBTRFSSNAP_TOOL} --get-global-count > ${OUTPUT_DIR}/btrfs_snapshot_count.result
	${SYNOBTRFSSNAP_TOOL} --get-global-count -d > ${OUTPUT_DIR}/btrfs_snapshot_count_sync.result
fi
